summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2016-02-05 19:15:24 +0100
committerAlexis Ballier <aballier@gentoo.org>2016-02-05 21:59:02 +0100
commit917c74f1845c7215c4269a3a2b103cc9a2662637 (patch)
treeeee8156d20256c38d4671f9d53f8325cc64c8dab
parentdev-ml/ppx_fields_conv: initial import; ebuild by me (diff)
downloadgentoo-917c74f1845c7215c4269a3a2b103cc9a2662637.tar.gz
gentoo-917c74f1845c7215c4269a3a2b103cc9a2662637.tar.bz2
gentoo-917c74f1845c7215c4269a3a2b103cc9a2662637.zip
dev-ml/ppx_sexp_value: initial import; ebuild by me
Package-Manager: portage-2.2.27 Signed-off-by: Alexis Ballier <aballier@gentoo.org>
-rw-r--r--dev-ml/ppx_sexp_value/Manifest1
-rw-r--r--dev-ml/ppx_sexp_value/metadata.xml8
-rw-r--r--dev-ml/ppx_sexp_value/ppx_sexp_value-113.24.00.ebuild42
3 files changed, 51 insertions, 0 deletions
diff --git a/dev-ml/ppx_sexp_value/Manifest b/dev-ml/ppx_sexp_value/Manifest
new file mode 100644
index 00000000000..a1df05d9421
--- /dev/null
+++ b/dev-ml/ppx_sexp_value/Manifest
@@ -0,0 +1 @@
+DIST ppx_sexp_value-113.24.00.tar.gz 56003 SHA256 3f807c867075ea47691be78315bb888f984e6cde27f0cf6e982e92880748a88d SHA512 ebf45351cc0d1dc64bbb612766e9915d70d72b057ee787a434bb90f289f6a4f63ab9d4a4be7474d4ffd981217a2250fff3c3580aa7b20256fb242cc4fbd9f624 WHIRLPOOL 503c4fd3d1e782887be14524a8392f56d2e7c314981af3e69dadb160eda009160729f8ad189eb100eb53f9e6af4367e53ecc7c579cbd500c8907c1e454dfd7d7
diff --git a/dev-ml/ppx_sexp_value/metadata.xml b/dev-ml/ppx_sexp_value/metadata.xml
new file mode 100644
index 00000000000..ffac4d7ebc0
--- /dev/null
+++ b/dev-ml/ppx_sexp_value/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer type="project">
+ <email>ml@gentoo.org</email>
+ <name>Gentoo ML Project</name>
+</maintainer>
+</pkgmetadata>
diff --git a/dev-ml/ppx_sexp_value/ppx_sexp_value-113.24.00.ebuild b/dev-ml/ppx_sexp_value/ppx_sexp_value-113.24.00.ebuild
new file mode 100644
index 00000000000..5d69b0b8e6b
--- /dev/null
+++ b/dev-ml/ppx_sexp_value/ppx_sexp_value-113.24.00.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit oasis
+
+DESCRIPTION="Standard library for ppx rewriters"
+HOMEPAGE="http://www.janestreet.com/ocaml"
+SRC_URI="http://ocaml.janestreet.com/ocaml-core/${PV%.*}/files/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND="dev-ml/ppx_tools:=
+ dev-ml/ppx_core:=
+ dev-ml/ppx_driver:=
+ dev-ml/ppx_here:=
+ dev-ml/ppx_sexp_conv:=
+"
+RDEPEND="${DEPEND}"
+DEPEND="${DEPEND} dev-ml/opam"
+
+src_configure() {
+ emake setup.exe
+ OASIS_SETUP_COMMAND="./setup.exe" oasis_src_configure
+}
+
+src_compile() {
+ emake
+}
+
+src_install() {
+ opam-installer -i \
+ --prefix="${ED}/usr" \
+ --libdir="${D}/$(ocamlc -where)" \
+ --docdir="${ED}/usr/share/doc/${PF}" \
+ ${PN}.install || die
+}